%define		package	Debug
%define		php_min_version 5.3.9
Summary:	Symfony2 Debug Component
Name:		php-symfony2-Debug
Version:	2.8.52
Release:	1
License:	MIT
Group:		Development/Languages/PHP
Source0:	https://github.com/symfony/%{package}/archive/v%{version}/%{package}-%{version}.tar.gz
# Source0-md5:	16fb0f2f219bc1301dd65f3220950e85
URL:		https://symfony.com/doc/2.8/components/debug.htmlindex.html
BuildRequires:	phpab
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(core) >= %{php_min_version}
Requires:	php(spl)
Requires:	php-dirs >= 1.6
Requires:	php-psr-Log >= 1.0
Suggests:	php(symfony_debug)
Suggests:	php-symfony2-HttpKernel >= 2.6.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Debug Component provides tools to ease debugging PHP code.

%prep
%setup -q -n debug-%{version}

# native extension. to be built from separate .spec
rm -r Resources/ext

%build
phpab -n -e '*/Tests/*' -o autoload.php .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}
cp -a *.php */ $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}
rm -r $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}/Tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%dir %{php_data_dir}/Symfony/Component/Debug
%{php_data_dir}/Symfony/Component/Debug/*.php
%{php_data_dir}/Symfony/Component/Debug/Exception
%{php_data_dir}/Symfony/Component/Debug/FatalErrorHandler
%changelog
* Wed May 06 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-symfony2-Debug.git;a=log;h=master

* Wed May 06 2020 Elan Ruusamäe <glen@pld-linux.org> 19fad21
- Update to 2.8.52

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> d1e3187
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> 4ad29c5
- up to 2.7.8

* Tue Jan 05 2016 Elan Ruusamäe <glen@delfi.ee> c660a98
- php-dirs dep

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> d5d2b3b
- skip implicit pear-dirs package, dir dep is enough

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 177b207
- install to php data dir

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> cf6261f
- up to 2.7.7; use autoload.php for autoload name

* Sat Oct 03 2015 Elan Ruusamäe <glen@delfi.ee> 1a34bc1
- up to 2.7.5

* Fri Aug 07 2015 Elan Ruusamäe <glen@delfi.ee> 43654a6
- suggest symfony_debug extension

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> 87c5886
- do not install native extension

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> f6d0750
- up to 2.7.3-lts

* Thu Aug 07 2014 Elan Ruusamäe <glen@delfi.ee> 40965ed
- use autoloader.php as autoload bootstrap

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> 1e07323
- up to 2.4.8, use github source

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 6466eca
- up to 2.4.4

* Sat Apr 12 2014 Elan Ruusamäe <glen@delfi.ee> 988817f
- update url

* Sat Apr 12 2014 Elan Ruusamäe <glen@delfi.ee> 540d0ce
- update suggests

* Sat Apr 12 2014 Elan Ruusamäe <glen@delfi.ee> efad5df
- up to 2.4.3

* Mon Sep 23 2013 Elan Ruusamäe <glen@delfi.ee> 6cf57bd
- new, version 2.3.4

